ExtentIndex.HashSetExtentIndexImpl (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class ExtentIndex.HashSetExtentIndexImpl

    java.lang.Object
      java.util.AbstractCollection
          com.bbn.openmap.geo.ExtentIndex.AbstractExtentIndex
              com.bbn.openmap.geo.ExtentIndex.HashSetExtentIndexImpl

All Implemented Interfaces:
  ExtentIndex, java.lang.Iterable, java.util.Collection

Enclosing interface:
  ExtentIndex

    public static class ExtentIndex.HashSetExtentIndexImpl

extends ExtentIndex.AbstractExtentIndex

Nested Class Summary

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.ExtentIndex
`ExtentIndex.AbstractExtentIndex, ExtentIndex.ArrayListExtentIndexImpl, ExtentIndex.HashSetExtentIndexImpl`

Field Summary

Fields inherited from class com.bbn.openmap.geo.ExtentIndex.AbstractExtentIndex
`all, buckets, D_MARGIN, D_NBUCKETS, discarded, margin, nbuckets, polar`

Constructor Summary
`ExtentIndex.HashSetExtentIndexImpl()`
`ExtentIndex.HashSetExtentIndexImpl(double m)`
`ExtentIndex.HashSetExtentIndexImpl(int nb)`
`ExtentIndex.HashSetExtentIndexImpl(int nb, double m)`

Method Summary
`protected java.util.Collection` | `makeBucket(int sizeHint)` implement to specify the factory to use to create Bucket storage.

Methods inherited from class com.bbn.openmap.geo.ExtentIndex.AbstractExtentIndex
`add, addExtent, bucketFor, clear, indexHorizontalRange, iterator, iterator, lookup, lookup, lookupByBoundingCircle, lookupByPath, lookupBySegment, makeBucket, normalizeLon, normalizeLons, removeExtent, size, toString`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`addAll, contains, containsAll, equals, hashCode, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### ExtentIndex.HashSetExtentIndexImpl

    public ExtentIndex.HashSetExtentIndexImpl()

### ExtentIndex.HashSetExtentIndexImpl

    public ExtentIndex.HashSetExtentIndexImpl(int nb)

### ExtentIndex.HashSetExtentIndexImpl

    public ExtentIndex.HashSetExtentIndexImpl(double m)

### ExtentIndex.HashSetExtentIndexImpl

    public ExtentIndex.HashSetExtentIndexImpl(int nb,
                                              double m)

Method Detail

### makeBucket

    protected java.util.Collection makeBucket(int sizeHint)

  Description copied from class: `ExtentIndex.AbstractExtentIndex`
  implement to specify the factory to use to create Bucket storage.

  Specified by:
    `makeBucket` in class `ExtentIndex.AbstractExtentIndex`
  Parameters:
    `sizeHint` - a guess at the number of elements that are likely to be stored in this bucket or 0 if unknown.
  Returns:
    A Collection instance suitable for use as a bucket

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details